DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# MsrConvertFunction

Measurement convert function

WARNING: this documentation page is outdated!

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error (*dip_MsrConvertFunction) ( in, featureID, inID, out, outID, resources )

## FUNCTION

The `convert` function converts the data measurement of the feature `feaureID` for the object `inID` in the measurement `in` to object `outID` of measurement `out`. for each measurement value.

## ARGUMENTS

Data type | Name | Description
`dip_Measurement` | `in` | Input measurement data structure
`dip_int` | `featureID` | Measurement function ID
`dip_int` | `inID` | ID of the object in `in`
`dip_Measurement` | `out` | Output measurement data structure
`dip_int` | `outID` | ID of the object in `out`
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

dip_MsrRegistry structure `MeasurementFeatureRegister`, `MsrCreateFunction`, `MsrValueFunction`, `MsrMeasureFunction`, `MsrDescriptionFunction`

DIPlib on-line documentation | Function reference | Global function index